<h1 align="center">Cocobits</h1>

<p align="center">
    <a aria-label="npm package" href="https://www.npmjs.com/package/cocobits">
        <img alt="" src="https://img.shields.io/npm/v/cocobits.svg">
    </a>
    <a aria-label="license" href="https://github.com/cocobits/blob/master/LICENSE">
    <img src="https://img.shields.io/github/license/cocobits/cocobits.svg">
    </a>
</p>

Cocobits is a responsive CSS foundational system to build elegant web applications. Influenced by object-oriented CSS principles and functional CSS, interchangeable utility classes allow flexibility and consistency for any web application.

Cocobits uses SASS variables and mixins and strives to meet the highest WCAG accessibility standards.

## Highlights  

- Responsive, mobile-first and accessible by default
- Flexible and interchangeable utility classes
- Base-8 spacing for consistency and dynamic vertical and horizontal rhythm
- Font-size, line-height and weight options for readability
- Color system for meaningful content and interaction signals
- Source files written in `Sass` using `SCSS` syntax

## Install

### npm

After installing npm and node, you can install `cocobits` with command:

```terminal
$ npm install cocobits
```

### Quick Start
Include the following link in the head of your base HTML file:
```HTML
<link rel="stylesheet" href="https://unpkg.com/cocobits/css/cocobits.min.css">
```

## Documentation

The Cocobits documentation is available at: [cocobit.github.io](cocobits.github.io)

## Licence  

[MIT](LICENSE) © Milee Yu